> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unique sessions

> Returns info on unique sessions over a given time period.

<br>
<strong>Note:</strong> The aggregation and grouping of the returned values is controlled by the optional time period given in `params`:
- one day will return values per hour
- up to 30 days returns values per day
- greater than 30 days returns values per month
- greater than a year returns values per year

## OpenAPI

````json POST /analytics/unique_sessions
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/analytics/unique_sessions": {
      "post": {
        "summary": "Unique sessions",
        "description": "Returns info on unique sessions over a given time period.\n\n<br>\n<strong>Note:</strong> The aggregation and grouping of the returned values is controlled by the optional time period given in `params`:\n- one day will return values per hour\n- up to 30 days returns values per day\n- greater than 30 days returns values per month\n- greater than a year returns values per year",
        "operationId": "analytics-unique-sessions",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken",
                  "from",
                  "to"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "from": {
                    "type": "string",
                    "description": "Start date for the analytics query (YYYY-MM-DD)"
                  },
                  "to": {
                    "type": "string",
                    "description": "End date for the analytics query (YYYY-MM-DD)"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "title": "Grouped",
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": "200",
                          "default": "0"
                        },
                        "data": {
                          "type": "object",
                          "properties": {
                            "periods": {
                              "type": "object"
                            }
                          }
                        },
                        "message": {
                          "type": "string",
                          "example": ""
                        },
                        "success": {
                          "type": "boolean",
                          "example": "true",
                          "default": "true"
                        }
                      }
                    },
                    {
                      "title": "Totals",
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": "200",
                          "default": "0"
                        },
                        "data": {
                          "type": "object",
                          "properties": {
                            "totals": {
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "type": "string",
                                  "example": "1015"
                                }
                              }
                            }
                          }
                        },
                        "message": {
                          "type": "string",
                          "example": ""
                        },
                        "success": {
                          "type": "boolean",
                          "example": "true",
                          "default": "true"
                        }
                      }
                    }
                  ]
                },
                "examples": {
                  "Grouped": {
                    "value": {
                      "code": "200",
                      "data": {
                        "periods": {
                          "Feb/15": {
                            "amount": "10000"
                          },
                          "Jan/15": {
                            "amount": "11000"
                          },
                          "Mar/15": {
                            "amount": "12000"
                          }
                        }
                      },
                      "success": "true"
                    }
                  },
                  "Totals": {
                    "value": {
                      "code": "200",
                      "data": {
                        "totals": {
                          "amount": "33000"
                        }
                      },
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "General error information"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "text": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "400",
                      "message": "General error information",
                      "errors": [
                        {
                          "text": [
                            "Detailed information about the specific error"
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Analytics Methods"
        ]
      }
    }
  }
}
````

